ADAM_2.12: Core 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package util
  Definition Classes
    adam
- ADAMShell
- AttributeUtils
- FileExtensions
- GenomeFileReader
- IndexedFastaFile
- ParquetFileTraversable
- ParquetLogger
- PhredUtils
- ReferenceFile
- ReferenceMap
- ReferenceMapSerializer
- SequenceDictionaryReader
- TextRddWriter
- TwoBitFile
- TwoBitFileSerializer

t

org.bdgenomics.adam.util

# ReferenceFile 

###

#### trait ReferenceFile extends Serializable

File that contains a reference assembly that can be broadcasted

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Known Subclasses
IndexedFastaFile, ReferenceMap, TwoBitFile
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReferenceFile
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def extract(region: ReferenceRegion): String

   Extract reference sequence from the file.

   Extract reference sequence from the file.

   region

     The desired ReferenceRegion to extract.

   returns

     The reference sequence at the desired locus.

2.  abstract def references: SequenceDictionary

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped